img {
    width: 5rem;
    height: 5rem;
    margin: 0 auto;
    border-radius: 50%;
}

footer {
    margin: 0 auto;
}

:root {
    font-family: sans-serif;
    --color-link: #60a5fa;
    --color-bg: white;
    --color-primary: black;
}

@media (prefers-color-scheme: dark) {
    :root {
        --color-link: #93c5fd;
        --color-bg: black;
        --color-primary: rgb(212 212 216);
    }
}

body {
    font-size: small;
    background-color: var(--color-bg);
    color: var(--color-primary);
    max-width: 768px;
    padding: 0 1rem;
    margin: 0 auto;
    line-height: 1.25rem;
    display: flex;
    flex-direction: column;
}

p {
    text-align: justify;
}

a {
    color: var(--color-link);
}

nav {
    display: flex;
    gap: 0.5rem;
    margin: 1rem auto 0;
}

@media (prefers-color-scheme: dark) {
    .shiki,
    .shiki span {
        color: var(--shiki-dark) !important;
        background-color: var(--shiki-dark-bg) !important;
    }
}

pre {
    border: 1px solid;
    padding: 0.5rem;
    overflow: auto;
    border-radius: 0.125rem;
    font-size: small;
}
